uniform vec2 		camParams;	// x = camera Z near, y = camera Z far
uniform sampler2D 	depth;
varying vec2 		texcoord;

void main()
{
	float n = camParams.x; // camera z near
	float f = camParams.y; // camera z far
	float z = texture2D(depth, texcoord).x;
	gl_FragColor.x=(2.0 * n) / (f + n - z * (f - n))
}
